Skip to content

Promote Candidate

POST
/api/v1/knowledge-graph/candidates/{candidate_id}/promote
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/knowledge-graph/candidates/example/promote \
--header 'X-API-Key: <X-API-Key>'

Promote a staging candidate to the live entity graph.

candidate_id
required
Candidate Id
string

Successful Response

Media typeapplication/json
EntityResponse
object
confidence
required
Confidence
number
created_at
required
Created At
string
description
required
Any of:
string
entity_type
required
Entity Type
string
id
required
Id
string
name
required
Name
string
source_channel
required
Any of:
string
Examplegenerated
{
"confidence": 1,
"created_at": "example",
"description": "example",
"entity_type": "example",
"id": "example",
"name": "example",
"source_channel": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}